public

GET /v1/plugins/{slug}

One plugin's current release.

Semua titik akhir public

Autentikasi

Kirimkan kunci API sebagai token bearer. Titik akhir ini tidak menyatakan izin tertentu dalam spesifikasi, jadi berikan kunci Anda izin minimum yang diperlukan dan periksa responsnya alih-alih berasumsi.

Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.

Coba

Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.

curl -X GET https://api.zinndigital.com/v1/plugins/{slug} \
  -H "Authorization: Bearer zdk_live_…"

Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API

Detail

Public and unauthenticated. A plugin we publish no release of is a `404`.

Parameter

NamaJenisWajibTentang apa ini
slug (path)stringYaThe plugin's directory name and text domain, e.g. `zinn-cache`.

Tanggapan

NamaJenisWajibTentang apa ini
kindstring<wordpress_plugin, whmcs_module, hostbill_module, generic_client>YaWhat this is, and therefore where it is installed. `wordpress_plugin` goes in `wp-content/plugins`; `whmcs_module` in a WHMCS install's `modules/servers/`; `hostbill_module` in…
slugstringYaThe archive's directory name, e.g. `zinn-cache` or `zinn-whmcs`.
namestringYa
versionstringYa
package_sha256stringYaLowercase hex SHA-256 of the archive. The value `downloadPlugin` returns in `X-Zinn-Package-SHA256`, and the one the plugin's own updater checks a download against before WordPr…
package_bytesintegerYa
requires_wpstringTidak
requires_phpstringTidak
tested_wpstringTidakThe WordPress version this release was installed and activated against before it was published — a real test on a real install, not an estimate. Empty means we have not stated o…
changelogstringTidak
homepagestringTidak
distributionstring<public, app-only>TidakWho may download this plugin. `public` — anyone, no account needed, and it is also listed on https://zinndigital.com/wordpress-plugins. `app-only` — signed-in customers only; it…
published_atstringTidak

Kesalahan yang dapat dikembalikan oleh titik akhir ini

404 · 429